perl-Task-Weaken

Ensure that a platform has weaken support

One recurring problem in modules that use Scalar::Util's 'weaken' function is that it is not present in the pure-perl variant. While this isn't necessarily always a problem in a straight CPAN-based Perl environment, some operating system distributions only include the pure-Perl versions, don't include the XS version, and so weaken is then "missing" from the platform, *despite* passing a dependency on Scalar::Util successfully. Most notably this is RedHat Linux at time of writing, but other come and go and do the same thing, hence "recurring problem". The normal solution is to manually write tests in each distribution to ensure that 'weaken' is available. This restores the functionality testing to a dependency you do once in your _Makefile.PL_, rather than something you have to write extra tests for each time you write a module. It should also help make the package auto-generators for the various operating systems play more nicely, because it introduces a dependency that they *have* to have a proper weaken in order to work.

There is no official package available for openSUSE Leap 15.4

Distributions

openSUSE Tumbleweed

openSUSE Leap 15.4

openSUSE Leap 15.3

openSUSE Leap 15.2

SUSE SLE-15-SP2

SUSE SLE-15-SP1

SUSE SLE-12-SP5

SUSE SLE-11 SP 4

RedHat RHEL-7

RedHat RHEL-6

RedHat RHEL-5

CentOS CentOS-7

Unsupported distributions

The following distributions are not officially supported. Use these packages at your own risk.

SUSE:SLE-15:GA

openSUSE:Leap:15.0

openSUSE:Leap:15.1

openSUSE:12.1

openSUSE:12.2

openSUSE:12.3

openSUSE:13.1

openSUSE:13.2

openSUSE:Leap:42.1

openSUSE:Leap:42.2

openSUSE:Leap:42.3

openSUSE:11.4

SUSE:SLE-12:SLE-Module-Adv-Systems-Management

CentOS:CentOS-5

SUSE:SLE-10

SUSE:SLE-11

SUSE:SLE-11:SP1

SUSE:SLE-11:SP2

SUSE:SLE-11:SP3

CentOS:CentOS-6

SUSE:SLE-12:GA

SUSE:SLE-12:SLE-Module-Toolchain

SUSE:SLE-12-SP3:GA

deleted